[Plugin] YaRSS2 - RSS plugin with GTKUI support

Suggest, post, or discuss plugins for Deluge
bob_amateur
New User
New User
Posts: 1
Joined: Sat Nov 16, 2019 4:06 am

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Postby bob_amateur » Sat Nov 16, 2019 4:22 am

Same issue as you guys. Just started using Deluge thin client and get the same error:

<urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>

OSX 10.14
Deluge 1.3.15
YaRSS2 1.4.3

Python 2.7.10

Apparently it could be related to OSX, Python and SSL but I can't seem to find a definitive answer.

banbutcher wrote:
Nilysg wrote:I am having the same issues as Mathias - as in getting hit by a SSL Auth error.

Setup:
osx
Deluge v.1.3.12
YaRSS v. 1.4.1

YaRSS2 works flawlessly on non SSL feeds.

Let me know if i can provide futher information to make the debugging easier:-)

/Nilysg



ive been searching without luck to a solution for this, has anyone else found one?

ive tried to manually put the cookies with no luck either

error is: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>

im using osx (Mojave), deluge: v1.3.15, YaRSS v1.4.3

banbutcher
New User
New User
Posts: 4
Joined: Fri Nov 15, 2019 4:20 am

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Postby banbutcher » Fri Nov 29, 2019 12:18 am

any info or solution on this or has it been kinda forgotten for 2.0? does it work in 2.0 for the mac?

LowSky
New User
New User
Posts: 3
Joined: Tue Nov 05, 2019 6:48 pm

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Postby LowSky » Wed Dec 11, 2019 5:01 am

YaRSS2 not working at all on Deluge 2.0.4.dev20/Python 3.8

mhertz
Compulsive Poster
Compulsive Poster
Posts: 841
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Postby mhertz » Wed Dec 11, 2019 2:10 pm

Rename plugin-name's "3.x" part to "3.8" and restart deluge(d).

LowSky
New User
New User
Posts: 3
Joined: Tue Nov 05, 2019 6:48 pm

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Postby LowSky » Thu Dec 12, 2019 3:32 am

mhertz wrote:Rename plugin-name's "3.x" part to "3.8" and restart deluge(d).

That worked. Thank you.

howodoirss
New User
New User
Posts: 1
Joined: Mon Mar 16, 2020 8:13 pm

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Postby howodoirss » Mon Mar 16, 2020 8:20 pm

Can I please get some help on getting this to work?

I'm running Deluge 1.3.15 on Debian (on a Raspberry Pi 4). I don't have a desktop environment etc.

I have

Code: Select all

deluged
daemon running. I'm trying to get version YaRSS2-1.4.3-py2.7.egg to work. Which is confusingly called still called YaRSS2 haha.

I've installed the .egg file via my WebUI. I thought it would work because it's technically 1.4.3 but it doesn't, I guess because it is technically still YaRSS2 which doesn't support the WebUI.

I installed the Thinclient 1.3.15 on my Windows machine. Remote connection is enabled. I connected to the Daemon.

YaRSS2 Plugin is checked as enabled. But the settings don't appear for it in the list. It's literally not there. Labels etc. appears in the settings list. Why doesn't YaRSS2 show up?

EDIT: Fixed it myself.

You can't install the .egg file through the WebUI. I followed a guide that did and apparently it worked for him but it doesn't install properly through the WebUI. It only installs and works through the Thin Client.

banbutcher
New User
New User
Posts: 4
Joined: Fri Nov 15, 2019 4:20 am

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Postby banbutcher » Sun Apr 05, 2020 7:41 am

BUMP?

banbutcher wrote:any info or solution on this or has it been kinda forgotten for 2.0? does it work in 2.0 for the mac?

ss4johnny
Member
Member
Posts: 14
Joined: Fri Sep 08, 2017 11:44 pm

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Postby ss4johnny » Tue Apr 28, 2020 11:02 am

I'm running YaRSS2 on the Windows version of Deluge 1.3.15. I think the YaRSS2 version is 1.4.3 for python 2.7.

I know it's an old version (because of being on Windows), but I have been noticing some random crashes. I went through the regex I had set up and tried right-clicking and running each subscription until finding the problem. One that I noticed was a problem was below.

The original version was
The\.Good\.Doctor\.S\d{2}E\d{2}\.(?:(?=PROPER\.)PROPER\.|(?:(?=REPACK\.)REPACK\.|(?:(?=PROPER\.REPACK\.)PROPER\.REPACK\.|(?=REPACK\.PROPER\.)REPACK\.PROPER\.|)))WEBRip\.x264-ION10

I modified it to this and it still causes crashes
The\.Good\.Doctor\.S\d{2}E\d{2}\.PROPER\.WEBRip\.x264-ION10

However, this has no problems
The\.Good\.Doctor\.S\d{2}E\d{2}\.WEBRip\.x264-ION10

burny
New User
New User
Posts: 2
Joined: Fri Nov 22, 2019 10:34 am

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Postby burny » Sat May 02, 2020 4:00 pm

Awesome plugin, ty for it! I am just migrating to Deluge 2, therefore YaRSS2 2.1.4.
Is there any way for subscriptions to ignore results for x days after it matched+added a torrent to download list? That is one of the things i am missing from this plugin. Or does anyone know of a way to achieve that?

DragooNick
New User
New User
Posts: 5
Joined: Fri Nov 10, 2017 9:19 am

Re: [Plugin] YaRSS2 - RSS plugin with GTKUI support

Postby DragooNick » Wed May 27, 2020 7:28 am

I used YaRSS2.1.4 py 3.7 egg with Deluge 2.0.3 on Ubuntu 18.04 just fine. After upgrading to Ubuntu 20.04 Python 3.8 is installed and it stopped working. I installed 3.7 again but that alone is not enough. Can anyone help me why it's not working even though I reinstalled Python 3.7?


Return to “Plugins”

Who is online

Users browsing this forum: No registered users and 4 guests